/*
 * CodePress - Real Time Syntax Highlighting Editor written in JavaScript - http://codepress.org/
 * 
 * Copyright (C) 2007 Fernando M.A.d.S. <fermads@gmail.com>
 *
 * Contributors :
 *
 * Michael Hurni <michael.hurni@gmail.com>
 * Takuya Otani <takuya.otani@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the 
 * GNU Lesser General Public License as published by the Free Software Foundation.
 * 
 * Read the full licence: http://www.opensource.org/licenses/lgpl-license.php
 */

CodePress = {
	scrolling : false,
	autocomplete : false,
	initialize : function()
	{
		chars = ''; // charcodes that trigger syntax highlighting
		cc = '\u2009'; // control char
		editor = '';
		completeChars = '';
	},
	keyHandler : function(evt)
	{
		// do nothing
	},
	onTabkey : function(evt)
	{
		// do nothing
	},
	onEnterkey : function(evt)
	{
		// do nothing
	},
	onModified : function(evt)
	{
		// do nothing
	},
	findString : function()
	{
		// do nothing
	},
	split : function(code,flag)
	{
		// do nothing
	},
	syntaxHighlight : function(flag)
	{
		// do nothing
	},
	getLastWord : function()
	{
		// do nothing
	},
	snippets : function(evt)
	{
		// do nothing
	},
	readOnly : function()
	{
		// do nothing
	},
	complete : function(trigger)
	{
		// do nothing
	},
	getCompleteChars : function()
	{
		// do nothing
	},
	shortcuts : function()
	{
		// do nothing
	},
	getRangeAndCaret : function()
	{
		// do nothing
	},
	getSelectedText : function()
	{
		// do nothing
	},
	getRange : function()
	{
		// do nothing
	},
	insertCode : function(code,replaceCursorBefore)
	{
		// do nothing
	},
	getCode : function()
	{
		return editor;
	},
	setCode : function()
	{
		editor = arguments[0];
	},
	actions : {
		pos : -1, // actual history position
		history : [], // history vector
		undo : function() {
		},
		redo : function() {
		},
		next : function() {
		}
	}
};

Language = {};
